# $Revision: 1.6.2.1 $, $Date: 2003/08/10 21:41:40 $
Summary:	Easy and flexible online Image GALlery generator
Summary(pl):	atwy i elastyczny generator obrazkw dla www
Name:		igal
Version:	1.4
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.stanford.edu/~epop/igal/%{name}-%{version}.tar.gz
# Source0-md5:	49f1b27229e80a7719a9378afa0981a3
URL:		http://www.stanford.edu/~epop/igal/
Requires:	ImageMagick
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Igal is a quick, easy and flexible program meant to help you place
your digital images online. It generates a pretty good-looking set of
HTML slides even with its default settings -- which can otherwise be
easily changed with a good number of command-line options or by
altering igal's two HTML template files.

%description -l pl
Igal jest sprawnym, atwym w uyciu i elastycznym programem majcym na
celu pomc Ci w umieszczeniu Twoich obrazkw w sieci. Generuje cakiem
adnie wygldajcey zestaw HTML-owych slajdw, z moliwoci zmiany
wielu parametrw z wiersza polece lub przez podanie igalowi innych
wzorcw plikw.

%prep
%setup  -q

%build
cat igal |sed -e "s#%{_prefix}/local/lib/igal#%{_libdir}/igal#g" >igal.new
mv igal{.new,}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{name}
install indextemplate.html slidetemplate.html tile.png igal.css \
	$RPM_BUILD_ROOT%{_libdir}/%{name}
install -D igal $RPM_BUILD_ROOT%{_bindir}/igal
install -D igal.1 $RPM_BUILD_ROOT%{_mandir}/man1/igal.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man?/*
%{_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: igal.spec,v $
Revision 1.6.2.1  2003/08/10 21:41:40  ankry
- cosmetics

Revision 1.6  2003/06/16 19:46:20  blues
- changes inpired by kloczek: URL upper-case
- small other changes and cleanups

Revision 1.5  2003/05/29 11:06:28  undefine
- icon changed to png

Revision 1.4  2003/05/28 12:59:08  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:48:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/01/29 23:46:34  undefine
- ba: noarch, r: imagemagick

Revision 1.1  2003/01/29 23:32:59  undefine
- initial pld version. work fine! :-D
- stbr
